Skip to main content

Create Property Note: Rent Manager

POSThttps://api.propexo.com/v1/properties/rentmanager/:property_id/notes/

Note: In the case of a failed file upload, we will attempt to upload the file again if we receive a 500 runtime error from Rent Manager. If the file is still not uploaded, we will return an error.

Method
POST /Properties/HistoryNotes
POST /HistoryNotes/{noteId}/UploadAttachments
Notice

Due to PMS limitations, the ID of the created record cannot be retrieved. This will be found on the next data sync.

Authentication​

  • AuthorizationBearer
    Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters​

property_id stringrequired

The ID of the resource.

Request​

This endpoint expects an object.

    integration_idstringrequired

    The Propexo unique identifier for the integration

    notesstringrequired

    Notes associated with the property

    attachment object

    Attachment file for the note on the property

    file_datastringrequired

    The contents of the file, as a base64 encoded string. The PMS has a max file size of 29 MB.

    Possible values: <= 40443576 characters

    file_namestringrequired

    The name of the file including the extension. Ex: "resume.pdf"

    mime_typestringrequired

    The mime type of the file. Ex: "application/pdf"

Response​

Successful response

    meta objectrequired
    job_idstringrequired
    result objectrequired
    integration_idstringrequired

    The Propexo unique identifier for the integration

    property_idstringrequired

    The Propexo unique identifier for the property

    notesstringrequired

    Notes associated with the property

    attachment object | nullrequired
    file_datastring | nullnullable

    The contents of the file, as a base64 encoded string. The PMS has a max file size of 29 MB.

    Possible values: <= 40443576 characters

    file_namestringrequired

    The name of the file including the extension. Ex: "resume.pdf"

    mime_typestringrequired

    The mime type of the file. Ex: "application/pdf"

Errors​

  • 400Bad Request
      error objectrequired
      codestringrequired
      Example: invalid_request
      messagestringrequired
      Example: invalid request
      details object
      property name*any
      Example: {"details":{"issues":[{"code":"unrecognized_keys","keys":["foo"],"path":[],"message":"Unrecognized key(s) in object: 'foo'"}],"name":"ZodError"}}
POST /v1/properties/rentmanager/:property_id/notes/
curl -X POST https://api.propexo.com/v1/properties/rentmanager/:property_id/notes/ \
-H "Authorization: Bearer <token>" \
-H "Content-Type: application/json" \
-d '{
"integration_id": "string",
"notes": "string"
}'
200 Successful response
{
"meta": {
"job_id": "string"
},
"result": {
"integration_id": "string",
"property_id": "string",
"notes": "string",
"attachment": "Unknown Type: object,null"
}
}